Package org.linphone.core

# Interface ConferenceListener

All Known Implementing Classes:
  `ConferenceListenerStub`

public interface ConferenceListener
An object to handle the callbacks for the handling a `Conference`
objects.
Use `Factory#createConferenceCbs` to create an instance. Then pass the
object to a `Conference` instance through `Conference.addListener(org.linphone.core.ConferenceListener)`.

## Method Summary

Modifier and Type
Method
Description
`void`
`onActiveSpeakerParticipantDevice(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify which participant device video is being displayed as
"actively speaking".
`void`
`onAllowedParticipantListChanged(Conference conference)`
Callback used to notify a conference that the list of participants allowed to
join the conference has changed.
`void`
`onAudioDeviceChanged(Conference conference, AudioDevice audioDevice)`
Callback used to notify that the audio device of a conference has changed.
`void`
`onAvailableMediaChanged(Conference conference)`
Callback used to notify that the available media of a conference has changed.
`void`
`onFullStateReceived(Conference conference)`
Callback used to notify when a notify full state has been received.
`void`
`onParticipantAdded(Conference conference, Participant participant)`
Callback used to notify a conference that a participant has been added.
`void`
`onParticipantAdminStatusChanged(Conference conference, Participant participant)`
Callback used to notify a conference that the admin status of a participant has
been changed.
`void`
`onParticipantDeviceAdded(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify a conference that a participant device has been added.
`void`
`onParticipantDeviceIsMuted(Conference conference, ParticipantDevice participantDevice, boolean isMuted)`
Callback used to notify that a participant device is muted or is no longer
muted.
`void`
`onParticipantDeviceIsSpeakingChanged(Conference conference, ParticipantDevice participantDevice, boolean isSpeaking)`
Callback used to notify that a participant device is speaking or isn't speaking
anymore.
`void`
`onParticipantDeviceJoiningRequest(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify a conference that a participant has requested to join
the conference.
`void`
`onParticipantDeviceMediaAvailabilityChanged(Conference conference, ParticipantDevice device)`
Callback used to notify a conference that the media availability of a
participant device has been changed.
`void`
`onParticipantDeviceMediaCapabilityChanged(Conference conference, ParticipantDevice device)`
Callback used to notify a conference that the media capability of a participant
device has been changed.
`void`
`onParticipantDeviceRemoved(Conference conference, ParticipantDevice participantDevice)`
Callback used to notify a conference that a participant device has been
removed.
`void`
`onParticipantDeviceScreenSharingChanged(Conference conference, ParticipantDevice device, boolean enabled)`
Callback used to notify a conference that a participant device starts or stops
screen sharing.
`void`
`onParticipantDeviceStateChanged(Conference conference, ParticipantDevice device, ParticipantDevice.State state)`
Callback used to notify a conference that a participant device has changed
state.
`void`
`onParticipantRemoved(Conference conference, Participant participant)`
Callback used to notify a conference that a participant has been removed.
`void`
`onParticipantRoleChanged(Conference conference, Participant participant)`
Callback used to notify a conference that the role of a participant has been
changed.
`void`
`onStateChanged(Conference conference, Conference.State newState)`
Callback used to notify a conference state has changed.
`void`
`onSubjectChanged(Conference conference, String subject)`
Callback used to notify that the subject of a conference has changed.

## Method Details

### onAllowedParticipantListChanged

void onAllowedParticipantListChanged(@NonNull Conference conference)
Callback used to notify a conference that the list of participants allowed to
join the conference has changed.

Parameters:
  `conference` - `Conference` object

### onParticipantAdded

void onParticipantAdded(@NonNull Conference conference, @NonNull Participant participant)
Callback used to notify a conference that a participant has been added.

Parameters:
  `conference` - LinphoneConference object
  `participant` - LinphoneParticipant that has been added to the conference

### onParticipantRemoved

void onParticipantRemoved(@NonNull Conference conference, @NonNull Participant participant)
Callback used to notify a conference that a participant has been removed.

Parameters:
  `conference` - LinphoneConference object
  `participant` - LinphoneParticipant that has been removed to the conference

### onParticipantDeviceAdded

void onParticipantDeviceAdded(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Callback used to notify a conference that a participant device has been added.

Parameters:
  `conference` - LinphoneConference object
  `participantDevice` - LinphoneParticipantDevice that has been added to the
  conference

### onParticipantDeviceRemoved

void onParticipantDeviceRemoved(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Callback used to notify a conference that a participant device has been
removed.

Parameters:
  `conference` - LinphoneConference object
  `participantDevice` - LinphoneParticipantDevice that has been removed to the
  conference

### onParticipantDeviceJoiningRequest

void onParticipantDeviceJoiningRequest(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice)
Callback used to notify a conference that a participant has requested to join
the conference.

Parameters:
  `conference` - `Conference` object
  `participantDevice` - `ParticipantDevice` that has requested to join
  the conference

### onParticipantRoleChanged

void onParticipantRoleChanged(@NonNull Conference conference, @NonNull Participant participant)
Callback used to notify a conference that the role of a participant has been
changed.

Parameters:
  `conference` - `Conference` object
  `participant` - `Participant` whose role has changed

### onParticipantAdminStatusChanged

void onParticipantAdminStatusChanged(@NonNull Conference conference, @NonNull Participant participant)
Callback used to notify a conference that the admin status of a participant has
been changed.

Parameters:
  `conference` - LinphoneConference object
  `participant` - LinphoneParticipant whose admin status has changed

### onParticipantDeviceStateChanged

void onParticipantDeviceStateChanged(@NonNull Conference conference, @NonNull ParticipantDevice device, ParticipantDevice.State state)
Callback used to notify a conference that a participant device has changed
state.

Parameters:
  `conference` - LinphoneConference object
  `device` - LinphoneParticipantDevice who change state
  `state` - new participant device state

### onParticipantDeviceScreenSharingChanged

void onParticipantDeviceScreenSharingChanged(@NonNull Conference conference, @NonNull ParticipantDevice device, boolean enabled)
Callback used to notify a conference that a participant device starts or stops
screen sharing.

Parameters:
  `conference` - `Conference` object
  `device` - `ParticipantDevice` who starts or stops screen sharing
  `enabled` - whether the screen sharing is enabled or disabled

### onParticipantDeviceMediaAvailabilityChanged

void onParticipantDeviceMediaAvailabilityChanged(@NonNull Conference conference, @NonNull ParticipantDevice device)
Callback used to notify a conference that the media availability of a
participant device has been changed.

Parameters:
  `conference` - LinphoneConference object
  `device` - LinphoneParticipantDevice whose media availability changed has
  changed

### onParticipantDeviceMediaCapabilityChanged

void onParticipantDeviceMediaCapabilityChanged(@NonNull Conference conference, @NonNull ParticipantDevice device)
Callback used to notify a conference that the media capability of a participant
device has been changed.

Parameters:
  `conference` - `Conference` object
  `device` - `ParticipantDevice` whose media capability changed has
  changed

### onStateChanged

void onStateChanged(@NonNull Conference conference, Conference.State newState)
Callback used to notify a conference state has changed.

Parameters:
  `conference` - LinphoneConference object
  `newState` - The new state of the conference

### onAvailableMediaChanged

void onAvailableMediaChanged(@NonNull Conference conference)
Callback used to notify that the available media of a conference has changed.

Parameters:
  `conference` - `Conference` object

### onSubjectChanged

void onSubjectChanged(@NonNull Conference conference, @NonNull String subject)
Callback used to notify that the subject of a conference has changed.

Parameters:
  `conference` - LinphoneConference object
  `subject` - subject of the conference

### onParticipantDeviceIsSpeakingChanged

void onParticipantDeviceIsSpeakingChanged(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice, boolean isSpeaking)
Callback used to notify that a participant device is speaking or isn't speaking
anymore.

Parameters:
  `conference` - `Conference` object
  `participantDevice` - the participant device
  `isSpeaking` - true if is speaking, false otherwise

### onParticipantDeviceIsMuted

void onParticipantDeviceIsMuted(@NonNull Conference conference, @NonNull ParticipantDevice participantDevice, boolean isMuted)
Callback used to notify that a participant device is muted or is no longer
muted.

Parameters:
  `conference` - `Conference` object
  `participantDevice` - the participant device
  `isMuted` - true if is muted, false otherwise

### onAudioDeviceChanged

void onAudioDeviceChanged(@NonNull Conference conference, @NonNull AudioDevice audioDevice)
Callback used to notify that the audio device of a conference has changed.

Parameters:
  `conference` - LinphoneConference object
  `audioDevice` - audio device of the conference

### onActiveSpeakerParticipantDevice

void onActiveSpeakerParticipantDevice(@NonNull Conference conference, @Nullable ParticipantDevice participantDevice)
Callback used to notify which participant device video is being displayed as
"actively speaking".

Parameters:
  `conference` - `Conference` object
  `participantDevice` - the participant device currently displayed as active
  speaker

### onFullStateReceived

void onFullStateReceived(@NonNull Conference conference)
Callback used to notify when a notify full state has been received.

Parameters:
  `conference` - LinphoneConference object